package org.example.controller;

import org.example.entity.User;
import org.example.service.IUserService;
import org.example.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;

@RestController
@RequestMapping("users")
public class UserController extends BaseController{

    @Autowired
    private IUserService userService;

    @PostMapping("reg")
    public JsonResult<Void> reg(User user)  {
        userService.reg(user);
        return new JsonResult<>(SUCCESS);
    }

    @RequestMapping("login")
    public JsonResult<User> login(String username, String password, HttpSession session){
        User data = userService.login(username,password);
        session.setAttribute("uid",data.getId());
        session.setAttribute("username",data.getUsername());


        return new JsonResult<>(SUCCESS,data);
    }
}