package org.example.configuration;

import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.example.service.FormatProcessor;
import org.example.service.FastFormatProcessor;
import org.example.service.GsonFormatProcessor;

@Configuration
public class FormatAutoConfiguration {

    @ConditionalOnClass(name="com.alibaba.fastjson.JSON")
    @Bean
    @Primary
    public FormatProcessor fastjsonFormat(){
        return new FastFormatProcessor();
    }

    @ConditionalOnClass(name="com.google.gson.Gson")
    @Bean
    public FormatProcessor gsonFormat(){
        return new GsonFormatProcessor();
    }
}
