package org.example.service;

import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.example.configuration.FormatAutoConfiguration;
import org.example.configuration.FormatProperties;

@Import(FormatAutoConfiguration.class)
@EnableConfigurationProperties(FormatProperties.class)
@Configuration
public class YKFormatConfiguration {

    @Bean
    public FormatTemplate helloFormatTemplate(FormatProperties formatProperties, FormatProcessor formatProcessor) {
        if ("fastjson".equals(formatProperties.getType())){
            return new FormatTemplate(new FastFormatProcessor());
        }
        if ("gson".equals(formatProperties.getType())){
            return new FormatTemplate(new GsonFormatProcessor());
        }
        return new FormatTemplate(formatProcessor);
    }

}
