package org.example;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/ioc")
public class IOCController {
    @Autowired
    private BeanIOC beanIOC;

    @Autowired
    private ComponentIOC componentIOC;

    @Autowired
    private ComponentScanIOC componentScanIOC;

    @RequestMapping(value = "/beanStyle", method = RequestMethod.GET)
    public String beanStyle() {
        return JSON.toJSONString(beanIOC.getConfigBean());
    }

    @RequestMapping(value = "/componentStyle", method = RequestMethod.GET)
    public String componentStyle() {
        return JSON.toJSONString(componentIOC);
    }

    @RequestMapping(value = "/componentScanStyle", method = RequestMethod.GET)
    public String componentScanStyle() {
        return JSON.toJSONString(componentScanIOC);
        // 或者
//        JSONObject jsonObject = new JSONObject();
//        jsonObject.put("host", componentScanIOC.getHost());
//        jsonObject.put("port", componentScanIOC.getPort());
//        jsonObject.put("style", componentScanIOC.getStyle());
//        return  jsonObject.toJSONString();
    }

}

