package org.example;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RestController
public class JmsController {
    private final Logger logger= LoggerFactory.getLogger(JmsController.class);
    @Autowired
    private JmsComponent jmsComponent;
    @GetMapping("/pushMessage")
    public void send(){
        logger.info("pushMessage推送消息");
        Message message=new Message();
        message.setContent("推送消息");
        message.setData(new Date());
        jmsComponent.send(message);
    }

    @GetMapping("/pushMessageForTopic")
    public void pushMessageForTopic(){
        logger.info("pushMessageForTopic广播消息");
        Message message=new Message();
        message.setContent("广播消息");
        message.setData(new Date());
        jmsComponent.sendForTopic(message);
    }
}
