package org.example;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

@Data
public class User {
    // 设置的实体类属性和表字段不一致的情况
    // 使用value属性，将User实体类的id属性改名为user表中对应的uid
    // 如果不想使用使用雪花算法，就可以使用type属性中的不同主键模式
    // 选择IdType.AUTO来实现自增效果, !!!!!user表也要将主键uid修改为自增模式!!!!!
    // 但是由于之前是雪花模式所以是在最后一个雪花id的基础上自增
    @TableId(value="uid", type = IdType.AUTO)
    private Long id;
    @TableField("username")
    private String name;
    private Integer age;
    private String email;
    @TableLogic
    private Boolean deleted;

    public User(Long id, String name, Integer age, String email) {
        this.id = id;
        this.name = name;
        this.age = age;
        this.email = email;
    }

    public User() {
    }
}
