import org.example.Main;
import org.example.User;
import org.example.mapper.UserMapper;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;

@SpringBootTest(classes = Main.class)
public class InsertTest {
    @Resource
    private UserMapper userMapper;
    @Test
    public void insertTest(){
        // 创建user实例
        User user = new User();
        // 在上面代码中，我们没有设置id值，
        // 所以在插入数据的时候，
        // MyBatisPlus使用了默认的雪花算法，
        // 雪花算法是基于时间戳+机器ID+流水号实现的，
        // 这样以保证id尽量不存在相同的
        // 设置姓名
        user.setName("fasef");
        // 设置年龄
        user.setAge(23);
        // 设置邮箱
        user.setEmail("adfaf@aa.com");
        // INSERT INTO user ( id, `name`, age, email ) VALUES ( ?, ?, ?, ? )
        userMapper.insert(user);
    }
}
