package org.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class UserController {
    @Autowired
    private UserService userService;

    // 查询用户列表
    @GetMapping("/users")
    public List<User> listUsers() {
        return userService.listUsers();
    }
    // GET 127.0.0.1:8080/users

    // 新增用户
    @PostMapping("/users")
    public void saveUser(@RequestParam(required = true) Long id,@RequestParam(required = true) String name, @RequestParam(required = true) int age) {
        userService.saveUser(id, name, age);
    }
    // POST 127.0.0.1:8080/users?id=1&name=admin&age=26

    // 修改用户
    @PutMapping("/users")
    public void updateUser(@RequestParam(required = true) Long id,@RequestParam(required = true) String name, @RequestParam(required = true) int age) {
        userService.updateUser(id, name, age);
    }
    // PUT 127.0.0.1:8080/users?id=1&name=admin&age=25

    // 删除用户
    @DeleteMapping("/users/{id}")
    public void deleteUser(@PathVariable("id") Long id) {
        userService.deleteUser(id);
    }
    // DELETE 127.0.0.1:8080/users/1

    // 根据ID查询用户
    @GetMapping("/users/{id}")
    public User getUserById(@PathVariable("id") Long id) {
        return userService.getUserById(id);
    }
    // GET 127.0.0.1:8080/users/1
}
