package org.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserRepository userRepository;

    // 查询用户列表
    @Override
    public List<User> listUsers() {
        return userRepository.findAll();
    }

    // 新增用户
    @Override
    public void saveUser(Long id, String name, int age) {
        User user = new User();
        user.setId(id);
        user.setName(name);
        user.setAge(age);
        User existingUser = userRepository.findById(id).orElse(null);
        if (existingUser != null){
            System.out.println("User already exists");
        }
        else {
            userRepository.save(user);
            System.out.println("Success");
        }
    }

    // 修改用户
    @Override
    public void updateUser(Long id, String name, int age) {

        User updatedUser = new User();
        updatedUser.setId(id);
        updatedUser.setAge(age);
        updatedUser.setName(name);

        User existingUser = userRepository.findById(id).orElse(null);

        if (existingUser != null) {
            // Update the properties of the existing user with the values from the updatedUser object
            existingUser.setName(updatedUser.getName());
            existingUser.setId(updatedUser.getId());
            existingUser.setAge(updatedUser.getAge());

            // Save the changes to the database
            existingUser = userRepository.save(existingUser);
            System.out.println("Success");
        }
        else {
            System.out.println("User not exists");
        }
    }

    // 删除用户
    @Override
    public void deleteUser(Long id) {
        userRepository.deleteById(id);
        User existingUser = userRepository.findById(id).orElse(null);
        if (existingUser != null) {
            System.out.println("Failed");
        } else {
            System.out.println("Success");
        }
    }

    // 根据ID查询用户
    @Override
    public User getUserById(Long id) {
        return userRepository.findById(id).orElse(null);
    }
}

